<?php
defined('ECMSAPI_MOD') or exit;
?>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="renderer" content="webkit">
<title>会员api接口测试 - 帝国万能API插件</title>
<script src="//cdn.bootcss.com/jquery/1.12.4/jquery.min.js"></script>
<link href="//cdn.bootcss.com/bootstrap/3.0.1/css/bootstrap.min.css" rel="stylesheet">
<script src="//cdn.bootcss.com/bootstrap/3.0.1/js/bootstrap.min.js"></script>
<script src="//cdn.bootcss.com/layer/3.0.1/layer.min.js"></script>
<script>
//全局,已登陆会员数据
var UserData = false;

function toggle_code(btn , name){
    var id = '#'+name;
    var text = btn.innerHTML;
    var $box = $(id+'-box');
    var img = $(id + '-img')[0];

    if(text === '开启验证码'){
        $box.show();
        btn.innerHTML = '关闭验证码';
        img.src = '/e/ShowKey/?v=login&t='+Math.random();
    }else{
        $box.hide();
        btn.innerHTML = '开启验证码';
        
    }
    return false;
}

function toogle_box(id , name){
    $('#'+id).show().siblings().hide();
    $('#title').html(name);
    $('.panel-heading').show();
}

function setUserBox(){
    var field = ['username' , 'email' , 'userfen' , 'money'];
    for(var i=0 , len = field.length; i<len ; i++){
        var name = field[i];
        $('#span-'+name).html(UserData[name]);
    }
}

function get_userinfo(){
    $.ajax({
        url : '/ecmsapi/index.php?mod=user&act=info',
        dataType : 'json',
        success : function(res){
            if(res.code){
                UserData = res.data;
                setUserBox();
                toogle_box('user-info' , '会员信息');
            }else{
                toogle_box('login-from' , '会员登陆');
            }
        },
        error : function(){
            layer.msg('网络错误,请刷新页面重试!');
        }
    });
}

function logout(){
    $.ajax({
        url : '/ecmsapi/index.php?mod=user&act=logout',
        dataType : 'json',
        success : function(res){
            if(res.code){
                UserData = false;
                toogle_box('login-from' , '会员登陆');
            }else{
                layer.msg('操作失败');
            }
        },
        error : function(){
            layer.msg('网络错误,请刷新页面重试!');
        }
    });
}


$(function(){

    //获取用户登陆状态
    get_userinfo();



    $('#login-btn').click(function(){
        var _this = this;
        
        var username = $('#login-username').val();
        var password = $('#login-password').val();
        var code = $('#login-code').val();
        var checkcode = $('#login-code-box').css('display') !== 'none' ? 1 : 0;
        if(username === ''){
            $('#login-username').focus();
            return false;
        }else if(password === ''){
            $('#login-password').focus();
            return false;
        }else if(checkcode && code === ''){
            $('#login-code').focus();
            return false;
        }
        
        _this.disabled = true;
        _this.innerHTML = '正在登陆中...';
        
        $.ajax({
            url : '/ecmsapi/index.php?mod=user&act=login',
            type : 'post',
            data : {
                username : username,
                code : code,
                checkcode : checkcode,
                password : password
            },
            dataType : 'json',
            success : function(res){
                if(res.code){
                    UserData = res.data;
                    setUserBox();
                    toogle_box('user-info' , '会员信息');
                }else{
                    layer.msg(res.message);
                }
            },
            error : function(){
                layer.msg('网络错误');
            },
            complete : function(){
                _this.disabled = false;
                _this.innerHTML = '确定登陆';
            }
        });
    });

    //注册
    $('#reg-btn').click(function(){
        var _this = this;
        
        var username = $('#reg-username').val();
        var password = $('#reg-password').val();
        var password2 = $('#reg-password2').val();
        var code = $('#reg-code').val();
        var checkcode = $('#reg-code-box').css('display') !== 'none' ? 1 : 0;
        if(username === ''){
            $('#reg-username').focus();
            return false;
        }else if(password === ''){
            $('#reg-password').focus();
            return false;
        }else if(password !== password2){
            $('#reg-password2').focus();
            return false;
        }else if(checkcode && code === ''){
            $('#reg-code').focus();
            return false;
        }
        
        _this.disabled = true;
        _this.innerHTML = '正在注册中...';
        
        $.ajax({
            url : '/ecmsapi/index.php?mod=user&act=register',
            type : 'post',
            data : {
                username : username,
                code : code,
                checkcode : checkcode,
                password : password,
                password2 : password2
            },
            dataType : 'json',
            success : function(res){
                if(res.code){
                   
                    UserData = res.data;
                    setUserBox();
                    toogle_box('user-info' , '会员信息');
                    /*
                    layer.msg('注册成功');
                    toogle_box('login-from' , '会员登陆');
                    */
                }else{
                    layer.msg(res.message);
                }
            },
            error : function(){
                layer.msg('网络错误');
            },
            complete : function(){
                _this.disabled = false;
                _this.innerHTML = '立即注册';
            }
        });
    });




});








</script>


</head>
<body style="padding:25px 0;">

<div style="width:760px; margin : 0 auto;">

    <div class="alert alert-info" role="alert">
        当前页面主要演示  EapiUser.php 的部分功能 <a href="https://ecms.maiyapai.com/doc-13.htm" target="_blank">查看使用文档</a>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading"><span id="title">会员信息</span></div>
        <div id="login-from" class="panel-body" style="display:none;">
             <div class="form-group">
                <input type="text" class="form-control" id="login-username" placeholder="帐号">
            </div>
            <div class="form-group">
                <input type="password" class="form-control" id="login-password" placeholder="密码">
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-default" onclick="toggle_code(this , 'login-code')">开启验证码</button>
            </div>
            <div class="form-group" id="login-code-box" style="display:none;">
                <div class="input-group">
                    <input type="text" class="form-control" id="login-code" placeholder="验证码">
                    <div class="input-group-addon">
                        <img src="" id="login-code-img" onclick="this.src='/e/ShowKey/?v=login&t='+Math.random()" />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-info btn-block" id="login-btn">确定登陆</button>
            </div>
            <div class="form-group">
                还没有帐号? <a href="javascript:;" onclick="toogle_box('reg-from' , '会员注册')">点击注册</a>
            </div>
        </div>
        <div id="reg-from" class="panel-body" style="display:none;">
            
            <div class="form-group">
                <input type="text" class="form-control" id="reg-username" placeholder="帐号">
            </div>
            <div class="form-group">
                <input type="password" class="form-control" id="reg-password" placeholder="密码">
            </div>
            <div class="form-group">
                <input type="password" class="form-control" id="reg-password2" placeholder="确认密码">
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-default" onclick="toggle_code(this , 'reg-code')">开启验证码</button>
            </div>
            <div class="form-group" id="reg-code-box" style="display:none;">
                <div class="input-group">
                    <input type="text" class="form-control" id="reg-code" placeholder="验证码">
                    <div class="input-group-addon">
                        <img src="" id="reg-code-img" onclick="this.src='/e/ShowKey/?v=reg&t='+Math.random()" />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-info btn-block" id="reg-btn">立即注册</button>
            </div>
            <div class="form-group">
                已有帐号? <a href="javascript:;" onclick="toogle_box('login-from' , '会员登陆')">登陆</a>
            </div>
            
            
        </div>
        <ul class="list-group" id="user-info" style="display:none;">
            <li class="list-group-item">用户名 : <span id="span-username"></span></li>
            <li class="list-group-item">邮箱 : <span id="span-email"></span></li>
            <li class="list-group-item">剩余点数 : <span id="span-userfen"></span></li>
            <li class="list-group-item">帐户余额 : <span id="span-money"></span></li>
            <li class="list-group-item">其它操作: <a href="/e/member/cp/" target="_blank">会员控制面版</a> - <a href="javascript:;" onclick="logout(); return false;">退出登陆</a></li>
            <li class="list-group-item">接口地址: <a href="/ecmsapi/index.php?mod=user&act=info" target="_blank">/ecmsapi/index.php?mod=user&act=info</a></li>
        </ul>
    </div>

</div>

</body>
</html>